<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>     := <strong><font color="#A020F0">Strict</font></strong> <a href="MEMORY.html"><font color="#008000">MEMORY</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>  := <font color="#BC8F8F">"Memory manager."</font>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">external</font></strong> :=
<em><strong><font color="#A4DEA4">`
#define MINIMUM_SIZE 256  
void *table_size[MINIMUM_SIZE/sizeof(void *)];
void *last_block[64];
`</font></strong></em>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> := 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> MACRO ALLOCATOR</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Mapping</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">previous_linear</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>;  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">size_and_id</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>;
    
  <br><font FACE="Sans-serif" color="#000000"><B>---------------> Limit for Busy (64 bits)</B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">next_free</font></strong>    :<a href="MEMORY.html"><font color="#008000">MEMORY</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">previous_free</font></strong>:<a href="MEMORY.html"><font color="#008000">MEMORY</font></a>;
  
  <br><font FACE="Sans-serif" color="#000000"><B>---------------> Limit for Free</B></font>
  
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="MEMORY.html"><font color="#008000">MEMORY</font></a>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">object_size</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  2x32bits = 64bits</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">this</font></strong>:<a href="POINTER.html"><font color="#008000">POINTER</font></a>        <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">begin</font></strong>:<a href="POINTER.html"><font color="#008000">POINTER</font></a>       <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">size</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>    <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">next_linear</font></strong>:<a href="MEMORY.html"><font color="#008000">MEMORY</font></a>  <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">id</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>      <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">id_end</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>  <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_end</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>      <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_previous_linear</font></strong> p:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_size_and_id</font></strong> s:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>     <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_index</font></strong> p:<a href="POINTER.html"><font color="#008000">POINTER</font></a> :<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>  <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">nb_page</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">put_last</font></strong> m:<a href="MEMORY.html"><font color="#008000">MEMORY</font></a> <strong><font color="#0000FF">to</font></strong> idx:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-  
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_last</font></strong> idx:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> :<a href="MEMORY.html"><font color="#008000">MEMORY</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">bound_test</font></strong> ptr:<a href="POINTER.html"><font color="#008000">POINTER</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">search_capacity</font></strong> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">new_page</font></strong>:<a href="MEMORY.html"><font color="#008000">MEMORY</font></a> <-
      
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Busy / Free Block.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">id_free</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">id_busy</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_next_free</font></strong>     n:<a href="MEMORY.html"><font color="#008000">MEMORY</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_previous_free</font></strong> p:<a href="MEMORY.html"><font color="#008000">MEMORY</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">delete_link_free</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">add_link_free</font></strong> <-
        
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="MEMORY.html"><font color="#008000">MEMORY</font></a>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">first_free</font></strong>:<a href="MEMORY.html"><font color="#008000">MEMORY</font></a>;
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Management.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_free</font></strong> idx:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_busy</font></strong> sz:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <strong><font color="#0000FF">index</font></strong> idx:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">resize</font></strong> new_size:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <strong><font color="#0000FF">index</font></strong> idx:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> :<a href="MEMORY.html"><font color="#008000">MEMORY</font></a> <-
      
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Searching.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">search</font></strong> new_size:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> :<a href="MEMORY.html"><font color="#008000">MEMORY</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">new_lab</font></strong> t:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> :<a href="POINTER.html"><font color="#008000">POINTER</font></a> <-
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>

  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> MICRO ALLOCATOR</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">alloc_type</font></strong> t:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <strong><font color="#0000FF">size</font></strong> sz:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> :<a href="POINTER.html"><font color="#008000">POINTER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Allocation for object without type. (LAB_TYPE)</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">free</font></strong> p:<a href="POINTER.html"><font color="#008000">POINTER</font></a> <strong><font color="#0000FF">type</font></strong> t:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">alloc_size</font></strong> sz:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> :<a href="POINTER.html"><font color="#008000">POINTER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Allocation for object with type. (LAB_SIZE)</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">free</font></strong> p:<a href="POINTER.html"><font color="#008000">POINTER</font></a> <strong><font color="#0000FF">size</font></strong> sz:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">alloc_dynamic</font></strong> sz:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> :<a href="POINTER.html"><font color="#008000">POINTER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Allocation NATIVE_ARRAY[E]. (LAB_SIZE or malloc)</font></strong></em>
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">realloc_dynamic</font></strong> p:<a href="POINTER.html"><font color="#008000">POINTER</font></a> <strong><font color="#0000FF">old_size</font></strong> old_sz:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <strong><font color="#0000FF">new_size</font></strong> new_sz:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> :<a href="POINTER.html"><font color="#008000">POINTER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">free_dynamic</font></strong> p:<a href="POINTER.html"><font color="#008000">POINTER</font></a> <strong><font color="#0000FF">size</font></strong> sz:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> GARBAGE COLLECTOR</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
 
  
</body>
</html>

